slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPSetStoppingTest

Specifies how to decide the termination of the outer loop of the eigensolver.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetStoppingTest(PEP pep,PEPStop stop)

Logically Collective

### Input Parameters

| pep | - eigensolver context obtained from PEPCreate()
| stop | - the type of stopping test

### Options Database Keys

| -pep_stop_basic | - Sets the default stopping test
| -pep_stop_user | - Selects the user-defined stopping test

### Note

The parameter 'stop' can have one of these values

| PEP_STOP_BASIC | - default stopping test
| PEP_STOP_USER | - function set by PEPSetStoppingTestFunction()

### See Also

PEPGetStoppingTest(), PEPSetStoppingTestFunction(), PEPSetConvergenceTest(), PEPStop

### Level

advanced

### Location

src/pep/interface/pepopts.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages